Bug 13296 - "fruit:time machine max size" is truncated on 32-bit platforms
"fruit:time machine max size" is truncated on 32-bit platforms
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 regression
: 4.8
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-22 14:52 UTC by Ralph Böhme
Modified: 2018-03-07 11:51 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (2.22 KB, patch)
2018-02-26 13:19 UTC, Ralph Böhme
jra: review+
slow: review? (metze)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-02-22 14:52:24 UTC
vfs_fruit uses the wrong integer type size_t for the TM backup size calculation. The proper integer type for file sizes is off_t, so use that.
Comment 1 Ralph Böhme 2018-02-26 13:19:35 UTC
Created attachment 13981 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Jeremy Allison 2018-02-26 18:58:26 UTC
Re-assigning to Karolin for inclusion in 4.8.0rcX.
Comment 3 Karolin Seeger 2018-02-28 12:01:15 UTC
Pushed to autobuild-v4-8-test.
Comment 4 Stefan Metzmacher 2018-03-07 11:51:39 UTC
Fixed in 4.8.0rc4